Name:           tm4e
Version:        0.4.1
Release:        1%{?dist}
Summary:        TextMate and language-configuration support for Eclipse IDE

License:        EPL-2.0
URL:            https://github.com/eclipse/%{name}
Source0:        https://github.com/eclipse/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  eclipse-pde
BuildRequires:  eclipse-license2
BuildRequires:  mvn(com.google.code.gson:gson)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.xmlgraphics:batik-css)
BuildRequires:  mvn(org.apache.xmlgraphics:batik-util)
BuildRequires:  mvn(org.jruby.jcodings:jcodings)
BuildRequires:  mvn(org.jruby.joni:joni)

%description
TM4E brings Java API to tokenize textual documents according to TextMate
grammars with an Eclipse IDE client that can do syntax highlighting according
to this tokenization; and Eclipse IDE client for VSCode Language
Configuration to support matching bracket, auto close, on enter support.

%prep
%setup -q

# Disable modules not relevant for downstream RPM builds
%pom_disable_module target-platform
%pom_disable_module org.eclipse.tm4e.repository
%pom_disable_module org.eclipse.tm4e.samples
%pom_xpath_remove "pom:plugin[pom:artifactId='target-platform-configuration']/pom:configuration/pom:target"
%pom_remove_plugin :tycho-packaging-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :eclipse-jarsigner-plugin

# Don't ship test bundles
%pom_disable_module org.eclipse.tm4e.core.tests
%pom_disable_module org.eclipse.tm4e.ui.tests
%pom_disable_module org.eclipse.tm4e.languageconfiguration.tests

# Fix BSNs of jruby bundles
sed -i -e 's/org\.jcodings/org.jruby.jcodings/' -e 's/org\.joni/org.jruby.joni/' org.eclipse.tm4e.core/META-INF/MANIFEST.MF

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md RELEASE_NOTES.md

%changelog
* Fri Aug 28 2020 Mat Booth <mat.booth@redhat.com> - 0.4.1-1
- Initial packaging of tm4e


